Open Infrastructure - Task #6877
Task # 6869 (Rejected): Challenge OpenStack and OpenNebula with ucloud

Start the first VMs on place9 cluster using ucloud (ucloud v1)
06/24/2019 04:05 PM - Nico Schottelius

Status: Rejected Start date: 06/24/2019
Priority: High Due date:

Assignee: Nico Schottelius % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

e Take 3+ systems (apu, r710) in place9
¢ Boot them w/ either Alpine (preferred) or Devuan
¢ |nstall ucloud-* on the appropriate hosts
o Use existing VMs where no physical hosts are required

Task done criteria

Task is done if | can run:

ucloud-cli vm create --cpu 2 —--ram 2 —--image alpine3.10 --image-size 10

and a VM comes up with 2 virtual cores, 2 gb ram, using the alpine 3.10 image and the image is resized to 10gb.

The VM does not have to have network connectivity or ssh keys yet.

Attention: dead line is end of week so that we can continue with networking next week.
Implementation:

e Balazs: infrastructure components (etcd and co.)
¢ Ahmed: python code
e Samuel: Setup servers / APUs / switches in place9

History

#1 - 07/02/2019 09:45 PM - Il nu
- Due date changed from 06/28/2019 to 07/03/2019

- Status changed from New to In Progress

#2 - 07/03/2019 01:23 PM - Il nu

Infrastructure is not ready in place9, mainly networking.

#3 - 07/08/2019 03:23 PM - Il nu
- Due date changed from 07/03/2019 to 07/09/2019

#4 - 07/08/2019 07:24 PM - Il nu

- Due date deleted (07/09/2019)

- Status changed from In Progress to Waiting
There is no networking setup in place 9.

1. 1 could set it up, but ill need infos.
2. | could set the cluster up elsewhere

#5 - 07/09/2019 04:54 PM - Jason Kim
- Status changed from Waiting to Feedback
- Assignee changed from Il nu to Nico Schottelius

#6 - 08/30/2019 12:09 PM - Nico Schottelius

- Status changed from Feedback to In Progress

checking this out now

#7 - 01/02/2024 02:04 PM - Nico Schottelius

- Status changed from In Progress to Rejected
